Subject: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2016 19:00:43 +0300

> Date: Wed, 4 May 2016 08:31:33 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > It didn't replace the old command, that one is still there, it just
> > doesn't have a key binding by default.
> 
> It's the new feature that should perhaps not have a key.  At
> least it should not grab an existing key.  There are plenty of
> unbound keys in Dired.  And why not just provide the command,
> for now, and let users bind it themselves if they like?

It is easier to get users complain about what they dislike than report
what they like.

> > > This new feature should have been added as, uh, err, well, just
> > > a new feature - a new command, totally unrelated to existing `A'
> > > etc.  Bad idea to usurp `A' for a command that requires a user
> > > to have `grep' and `find'.  Bad Emacs.
> > 
> > We want to stop maintaining the etags-derived UI for moving
> > through hits, so this is part of a plan.
> 
> So what?  Introduce the new as optional behavior.  Let users
> decide.  What's the hurry to replace?

See above.

> What's the hurry to replace?

Maintaining too many alternative UIs is a maintenance burden we cannot
afford.

> > OTOH, when Drew will stop assuming "Emacs devs" have ill will, and
> > release knee-jerk reactions, such as this one, based on that, is
> > anyone's guess.
> 
> When will Eli stop personalizing everything?

I don't.  It's all personal to begin with.

> I don't claim ill will - never have.

May I suggest that you ask someone impartial to read all your posts,
and provide feedback?  You might be surprised to learn how your
messages read.

> What's the imperative behind this key-binding replacement?
> Why not just offer the new feature as a plus, not a
> plus-and-minus?

See above.